package geometry;

import com.vividsolutions.jts.geom.Coordinate;

public class Mathematic {
	public static double getDistance(int x1, int y1, int x2, int y2) {
		return Math.hypot(x1 - x2, y1 - y2);
	}

	public static double getDistance(Coordinate p1, Coordinate p2) {
		return Math.hypot(p1.x - p2.x, p1.y - p2.y);
	}

	public static boolean isInBetween(float a, float b, float c) {
		float min = a, max = c;
		if (min > max) {
			min = c;
			max = a;
		}
		return (min < b && b < max);
	}
}
