package agent;

import worldModel.Area;

public class FireTask {
	public Area agentPart = null;
	public Area firedBuildingPart = null;
	public Area middleFireTask = null;
	public boolean isForSearchAroundZone = false;
	// 0 = head == agentpart, 1 = tail == zonepart
	public int headOrTail = 0;

	public FireTask(Area a, Area b, boolean isForSearchAroundZone) {
		this.agentPart = a;
		this.firedBuildingPart = b;
		this.isForSearchAroundZone = isForSearchAroundZone;
	}

	public FireTask(Area a, Area b, int headOrTail, boolean isForSearchAroundZone) {
		this.agentPart = a;
		this.firedBuildingPart = b;
		this.headOrTail = headOrTail;
		this.isForSearchAroundZone = isForSearchAroundZone;
	}

	public FireTask() {
	}

	@Override
	public String toString() {
		return "head: " + agentPart.id + " tail: " + firedBuildingPart.id;
	}

}
