package agent;

import java.util.ArrayList;

import rescuecore2.standard.entities.Human;
import worldModel.Area;
import worldModel.Building;
import worldModel.Refuge;
import worldModel.Road;

import com.vividsolutions.jts.geom.Coordinate;

public class SectorZone {
	public ArrayList<Building> buildings = new ArrayList<Building>();
	public ArrayList<Area> areas = new ArrayList<Area>();
	public ArrayList<Refuge> refuges = new ArrayList<Refuge>();
	public ArrayList<Road> roads = new ArrayList<Road>();
	public Human originalOwner = null;
	public int num = -1;
	Coordinate center;

	void setCenter() {
		double allX = 0, allY = 0;
		for (Area area : buildings) {
			allX += area.getX();
			allY += area.getY();
		}
		center = new Coordinate(allX / buildings.size(), allY
				/ buildings.size());

	}

}
