package shapeReconstruction;

import java.util.LinkedList;
import java.util.Set;

public class KOrderAlphaShapes {
	public static AlphaShape bruteForce(Set<Point> pointSet, int k, double alpha) {
		if (pointSet == null || alpha == 0 || k >= pointSet.size() - 1)
			return null;
		LinkedList<Circle> circles = new LinkedList<Circle>();
		LinkedList<Edge> edges = new LinkedList<Edge>();
		/**/Point[] points = new Point[pointSet.size()];
		points = pointSet.toArray(new Point[0]);
		Circle[] createdCircles = (Circle[]) null;
		int count = 0;
		for (int i = 0; i < points.length; i++) {
			for (int j = i + 1; j < points.length; j++) {
				createdCircles = MathUtil.createCircles(points[i], points[j],
						alpha);
				if (createdCircles != null) {
					count = 0;
					for (Point p : points) {
						if ((!p.equals(points[i])) && (!p.equals(points[j]))) {
							if (MathUtil.pointInCircle(p, createdCircles[0])) {
								count++;
							}
							if (count > k)
								break;
						}
					}
					if (count == k) {
						circles.add(createdCircles[0]);
						edges.add(new Edge(points[i], points[j]));
					}

					count = 0;
					for (Point p : points) {
						if ((!p.equals(points[i])) && (!p.equals(points[j]))) {
							if (MathUtil.pointInCircle(p, createdCircles[1])) {
								count++;
							}

							if (count > k)
								break;
						}
					}
					if (count == k) {
						circles.add(createdCircles[1]);
						edges.add(new Edge(points[i], points[j]));
					}
				}
			}
		}
		// System.out.println("circeleshhh: " + circles);
		// System.out.println("edgeeeeshhh: " + edges);
		return new AlphaShape(circles, edges);
	}

}
